@charset "utf-8";

/*===========================================================*/
/* プログレスバー＋数字カウントアップ＋画面が開く*/
/*===========================================================*/

/* Loading背景画面設定　*/
#splash {
    /*fixedで全面に固定*/
    position: fixed;
    z-index: 99999;

    width: 100%;
    height: 100%;

    text-align: center;

    color: #fff;
}

/* Loading画像中央配置　*/
#splash_text {
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;

    width: 100%;

    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);

    color: #fff;
}

/*IE11対策用バーの線の高さ※対応しなければ削除してください*/
#splash_text svg {
    height: 2px;
}

/*割れる画面のアニメーション*/
.loader_cover {
    width: 100%;
    height: 50%;

    -webkit-transition: all 0.2s cubic-bezier(0.04, 0.435, 0.315, 0.9);
    -o-transition: all 0.2s cubic-bezier(0.04, 0.435, 0.315, 0.9);
    transition: all 0.2s cubic-bezier(0.04, 0.435, 0.315, 0.9);
    -webkit-transform: scaleY(1);
    -ms-transform: scaleY(1);
    transform: scaleY(1);

    background: #017490;
}
/*上の画面*/
.loader_cover-up {
    -webkit-transform-origin: center top;
    -ms-transform-origin: center top;
    transform-origin: center top;
}

/*下の画面*/
.loader_cover-down {
    position: absolute;
    bottom: 0;

    -webkit-transform-origin: center bottom;
    -ms-transform-origin: center bottom;
    transform-origin: center bottom;
}
/*クラス名がついたらY軸方向に0*/
.coveranime {
    -webkit-transform: scaleY(0);
    -ms-transform: scaleY(0);
    transform: scaleY(0);
}

/*===========================================================*/
/* グラデーション線から塗に変化する*/
/*===========================================================*/

.gradient4 {
    /*ボタンの形状*/
    display: inline-block;

    margin: 20px 0 0 0;
    padding: 10px 60px;
    /*アニメーションの指定*/

    -webkit-transition: all 0.4s ease-out;
    -o-transition: all 0.4s ease-out;
    transition: all 0.4s ease-out;
    text-decoration: none;

    color: #fff;
    border: 1px solid #fff;
    border-radius: 30px;
}

.glass {
    background-color: rgba(255, 255, 255, 0.3);
    -webkit-box-shadow: 0 6px 15px 0 rgba(142, 142, 142, 0.19);
    box-shadow: 0 6px 15px 0 rgba(142, 142, 142, 0.19);

    backdrop-filter: blur(6.5px);
    -webkit-backdrop-filter: blur(6.5px);
}

.glass-brown {
    background-color: rgba(147, 86, 17, 0.3);
    -webkit-box-shadow: 0 6px 15px 0 rgba(147, 86, 17, 0.19);
    box-shadow: 0 6px 15px 0 rgba(147, 86, 17, 0.19);

    backdrop-filter: blur(6.5px);
    -webkit-backdrop-filter: blur(6.5px);
}

#box3 .gradient4 {
    color: #925410;
    border-color: #925410;
}

/*hoverした際、グラデーションと影を付ける*/
.gradient4:hover,
#box3 .gradient4:hover {
    color: #fff;
    /*ボタンの形状*/
    border-color: transparent;
    /*背景の色と形状*/
    background: -webkit-gradient(
        linear,
        right top,
        left top,
        from(#3bade3),
        color-stop(50%, #9844b7),
        to(#44ea76)
    );
    background: -o-linear-gradient(right, #3bade3 0%, #9844b7 50%, #44ea76 100%);
    background: linear-gradient(270deg, #3bade3 0%, #9844b7 50%, #44ea76 100%);
    background-position: right center;
    background-size: 200% auto;
    /*ボックスの影*/
    -webkit-box-shadow: 0 5px 10px rgb(250, 108, 159, 0.4);
    box-shadow: 0 5px 10px rgb(250, 108, 159, 0.4);
}

/*===========================================================*/
/* ゆっくりズームアウトさせながら全画面で見せる*/
/*===========================================================*/
#slider {
    width: 100%;
    height: 100vh; /*スライダー全体の縦幅を画面の高さいっぱい（100vh）にする*/
}

/*===========================================================*/
/* リンクをクリックすると、背景が暗くなり動画や画像やテキストを表示*/
/*===========================================================*/

.modaal-overlay {
    background: -o-linear-gradient(
        45deg,
        rgba(88, 182, 211, 0.9),
        rgba(229, 93, 135, 0.9)
    ) !important;
    background: linear-gradient(
        45deg,
        rgba(88, 182, 211, 0.9),
        rgba(229, 93, 135, 0.9)
    ) !important;
}

/*===========================================================*/
/* サムネイルをクリックするとグループ化された画像一覧を表示する*/
/*===========================================================*/

/*===モーダル表示のためのcss　*/

.hide-area {
    /*モーダル表示をする場所をあらかじめ隠す*/
    display: none;
}

.modaal-fullscreen .modaal-content-container {
    text-align: center;

    color: #fff;
    /*full画面の色設定*/
    background: -o-linear-gradient(
        45deg,
        rgba(88, 182, 211, 0.9),
        rgba(229, 93, 135, 0.9)
    );
    background: linear-gradient(
        45deg,
        rgba(88, 182, 211, 0.9),
        rgba(229, 93, 135, 0.9)
    );
}

.modaal-fullscreen .modaal-close {
    right: 20px;
    /*ボタンの色、位置*/

    background: none;
}

/*クローズボタンの×の色変更*/
.modaal-close:focus:after,
.modaal-close:focus:before,
.modaal-close:hover:after,
.modaal-close:hover:before {
    background: #666;
}

/*キャプション*/
.caption {
    display: block;

    padding: 10px 0;
}

/*画像の横幅を100%にしてレスポンシブ化*/
.modaal-content-container img {
    width: 100%;
    max-width: 700px;
    height: auto;

    vertical-align: bottom; /*画像の下にできる余白を削除*/

    border: 5px solid #fff;
}

/*===========================================================*/
/* 最低限おぼえておきたい動き*/
/*===========================================================*/

/*== じわっ（ぼかしから出現） ==*/

.blur {
    -webkit-animation-name: blurAnime;
    animation-name: blurAnime;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@-webkit-keyframes blurAnime {
    from {
        -webkit-transform: scale(1.02);
        transform: scale(1.02);

        opacity: 0;

        -webkit-filter: blur(10px);
        filter: blur(10px);
    }

    to {
        -webkit-transform: scale(1);
        transform: scale(1);

        opacity: 1;

        -webkit-filter: blur(0);
        filter: blur(0);
    }
}

@keyframes blurAnime {
    from {
        -webkit-transform: scale(1.02);
        transform: scale(1.02);

        opacity: 0;

        -webkit-filter: blur(10px);
        filter: blur(10px);
    }

    to {
        -webkit-transform: scale(1);
        transform: scale(1);

        opacity: 1;

        -webkit-filter: blur(0);
        filter: blur(0);
    }
}

/* スクロールをしたら出現する要素にはじめに透過0を指定　*/

.blurTrigger {
    opacity: 0;
}

/*===========================================================*/
/* テキストが1文字づつ出現*/
/*===========================================================*/

.eachTextAnime span {
    opacity: 0;
}
.eachTextAnime.appeartext span {
    -webkit-animation: text_anime_on 1s ease-out forwards;
    animation: text_anime_on 1s ease-out forwards;
}
@-webkit-keyframes text_anime_on {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes text_anime_on {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/*===========================================================*/
/* スクロールすると1画面移動*/
/*===========================================================*/
.box {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;

    padding: 40px;

    text-align: center;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

#box1 {
    background: url("../img/bg_02.jpg") no-repeat center;
    background-size: cover;
}

#box1.box {
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
}

@media screen and (max-width: 768px) {
    #box1.box {
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
}

#box2 {
    background: url("../img/bg_03.jpg") no-repeat center;
    background-size: cover;
}

#box3 {
    background: url("../img/bg_04.jpg") no-repeat center;
    background-size: cover;
}

#box4 {
    background: url("../img/bg_05.jpg") no-repeat center;
    background-size: cover;
}

#box5 {
    background: url("../img/bg_06.jpg") no-repeat center;
    background-size: cover;
}

/*========= ページネーションCSS ===============*/

.pagination {
    font-size: 1em;

    position: fixed;
    z-index: 10;
    top: 50%;
    right: 20px;

    list-style: none;

    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.pagination a {
    position: relative;

    display: block;

    height: 20px;
    margin-bottom: 5px;
    padding: 4px;

    color: #fff;
}

.pagination a.active:after {
    -webkit-box-shadow: inset 0 0 0 5px;
    box-shadow: inset 0 0 0 5px;
}

.pagination a .hover-text {
    position: absolute;
    top: 0;
    right: 15px;

    padding-right: 15px;

    -webkit-transition: opacity 0.5s ease;
    -o-transition: opacity 0.5s ease;
    transition: opacity 0.5s ease;

    opacity: 0;
}

.pagination a:hover .hover-text {
    opacity: 1;
}

.pagination a:after {
    position: absolute;
    top: 0;
    right: 3px;
    bottom: 0;

    display: block;

    width: 10px;
    height: 10px;
    margin: auto;

    content: "";
    -webkit-transition: box-shadow 0.5s ease;
    -webkit-transition: -webkit-box-shadow 0.5s ease;
    -o-transition: box-shadow 0.5s ease;
    transition: -webkit-box-shadow 0.5s ease;
    transition: box-shadow 0.5s ease;
    transition: box-shadow 0.5s ease, -webkit-box-shadow 0.5s ease;

    border: 1px solid;
    border-radius: 50%;
}

@media screen and (max-width: 768px) {
    .pagination a .hover-text {
        display: none;
    }
}

.white-shadow {
    text-shadow: 0 0 10px white;
}

.brown-shadow {
    text-shadow: 0 0 10px #935611;
}
